language: node_js
node_js:
    - "8"

env:
  - CXX=g++-4.8 DISABLE_WEBGL=true

addons:
  apt:
    sources:
      - ubuntu-toolchain-r-test
    packages:
      - g++-4.8

install:
    - npm install xvfb-maybe
    - npm install

cache:
  directories:
    - node_modules

before_script:
  - export DISPLAY=':99.0'
  - Xvfb :99 -screen 0 1024x768x24 -extension RANDR &

script:
  - xvfb-maybe npm test
  - npm run dist

deploy:
  # Deploy config for non-tag branches
  - provider: s3
    access_key_id: $S3_ACCESS_KEY_ID
    secret_access_key: $S3_SECRET_ACCESS_KEY
    bucket: "pixi.js"
    skip_cleanup: true
    acl: public_read
    region: eu-west-1
    cache_control: "max-age=60"
    local_dir: dist
    upload-dir: "$TRAVIS_BRANCH"
    on:
        all_branches: true
        condition: -z $TRAVIS_TAG
  # Deploy config for tagged releases
  - provider: s3
    access_key_id: $S3_ACCESS_KEY_ID
    secret_access_key: $S3_SECRET_ACCESS_KEY
    bucket: "pixi.js"
    skip_cleanup: true
    acl: public_read
    region: eu-west-1
    cache_control: "max-age=2592000"
    local_dir: dist
    upload-dir: "$TRAVIS_BRANCH"
    on:
        all_branches: true
        condition: $TRAVIS_TAG
  # Deploy config for latest release
  # - provider: s3
  #   access_key_id: $S3_ACCESS_KEY_ID
  #   secret_access_key: $S3_SECRET_ACCESS_KEY
  #   bucket: "pixi.js"
  #   skip_cleanup: true
  #   acl: public_read
  #   region: eu-west-1
  #   cache_control: "max-age=1209600"
  #   local_dir: dist
  #   upload-dir: "release"
  #   on:
  #       all_branches: true
  #       condition: $TRAVIS_TAG